Bug 865321 - Eager locking lk-owner decision is taken before transaction type is set
Eager locking lk-owner decision is taken before transaction type is set
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Pranith Kumar K
spandura
:
Depends On: 864786
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 04:41 EDT by Pranith Kumar K
Modified: 2015-08-10 15:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0qa4-1.el6rhs,glusterfs-3.3.0.5rhs-40.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 864786
Environment:
Last Closed: 2015-08-10 03:45:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-10-11 04:41:25 EDT
+++ This bug was initially created as a clone of Bug #864786 +++

Description of problem:
Eager locking lk-owner decision is taken before transaction type is set.
Default transaction type is DATA so all transactions are treated as DATA transactions at the time of eager-locking decision.

Breakpoint 1, afr_transaction (frame=0x7f45fd7f8008, this=0x1f73e90, type=AFR_ENTRY_TRANSACTION) at afr-transaction.c:1452
1452	        afr_local_t *   local = NULL;
(gdb) n
1453	        afr_private_t * priv  = NULL;
(gdb) 
1454	        fd_t            *fd   = NULL;
(gdb) 
1456	        local = frame->local;
(gdb) 
1457	        priv  = this->private;
(gdb) 
1459		if (local->fd && priv->eager_lock &&
(gdb) 
1463			afr_set_lk_owner (frame, this, frame->root);
(gdb) p local->transaction.type 
$1 = AFR_DATA_TRANSACTION

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from vbellur@redhat.com on 2012-10-10 22:11:40 EDT ---

CHANGE: http://review.gluster.org/4053 (cluster/afr: check transaction type for eager-lock after it is set) merged in master by Anand Avati (avati@redhat.com)
Comment 3 spandura 2013-01-07 01:26:39 EST
Pranith, can you please provide the steps to verify this bug.

Note You need to log in before you can comment on or make changes to this bug.